#
# Conditional build:
%bcond_with	tests		# build with tests
%define		kdeappsver	25.04.1
%define		kframever	5.94.0
%define		qtver		5.15.2
%define		kaname		falkon
Summary:	A KDE web browser
Name:		ka6-%{kaname}
Version:	25.04.1
Release:	1
License:	GPL v3+
Group:		X11/Applications
Source0:	https://download.kde.org/stable/release-service/%{kdeappsver}/src/%{kaname}-%{version}.tar.xz
# Source0-md5:	8fb4a20e2b31b33048ee06b49473bbac
URL:		http://www.kde.org/
BuildRequires:	Qt6Core-devel >= 5.15.2
BuildRequires:	Qt6DBus-devel >= 5.15.2
BuildRequires:	Qt6Gui-devel >= 5.15.2
BuildRequires:	Qt6Network-devel >= 5.15.2
BuildRequires:	Qt6Positioning-devel >= 5.15
BuildRequires:	Qt6PrintSupport-devel
BuildRequires:	Qt6Qml-devel >= 5.15.9
BuildRequires:	Qt6Quick-devel >= 5.15.9
BuildRequires:	Qt6Sql-devel
BuildRequires:	Qt6WebChannel-devel
BuildRequires:	Qt6WebEngine-devel >= 5.15.0
BuildRequires:	Qt6Widgets-devel >= 5.15.2
BuildRequires:	cmake >= 3.20
BuildRequires:	gettext-devel
BuildRequires:	kf6-extra-cmake-modules >= 5.78.0
BuildRequires:	kf6-karchive-devel
BuildRequires:	kf6-kauth-devel >= 5.105.0
BuildRequires:	kf6-kcodecs-devel >= 5.105.0
BuildRequires:	kf6-kcompletion-devel >= 5.105.0
BuildRequires:	kf6-kconfig-devel >= 5.105.0
BuildRequires:	kf6-kconfigwidgets-devel >= 5.105.0
BuildRequires:	kf6-kcoreaddons-devel >= 5.105.0
BuildRequires:	kf6-kcrash-devel >= 5.78.0
BuildRequires:	kf6-ki18n-devel
BuildRequires:	kf6-kio-devel >= 5.78.0
BuildRequires:	kf6-kitemviews-devel >= 5.105.0
BuildRequires:	kf6-kjobwidgets-devel >= 5.105.0
BuildRequires:	kf6-kservice-devel >= 5.105.0
BuildRequires:	kf6-kwallet-devel >= 5.78.0
BuildRequires:	kf6-kwidgetsaddons-devel >= 5.105.0
BuildRequires:	kf6-kxmlgui-devel >= 5.105.0
BuildRequires:	kf6-purpose-devel >= 5.78.0
BuildRequires:	kf6-solid-devel >= 5.105.0
BuildRequires:	libgnome-keyring-devel
BuildRequires:	libxcb-devel
BuildRequires:	ninja
BuildRequires:	openssl-devel
BuildRequires:	python3-devel
BuildRequires:	qt6-build >= %{qtver}
BuildRequires:	qt6-linguist
BuildRequires:	rpmbuild(macros) >= 1.164
BuildRequires:	shared-mime-info
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Requires(post,postun):	desktop-file-utils
Requires:	%{name}-data = %{version}-%{release}
ExcludeArch:	x32 i686
Obsoletes:	ka5-%{kaname} < %{version}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Falkon is a KDE web browser. It uses QtWebEngine rendering engine.

%description -l pl.UTF-8
Falkon jest przedglądarką www KDE korzystającą z silnika
QtWebEngine.

%package data
Summary:	Data files for %{kaname}
Summary(pl.UTF-8):	Dane dla %{kaname}
Group:		X11/Applications
Obsoletes:	ka5-%{kaname}-data < %{version}
BuildArch:	noarch

%description data
Data files for %{kaname}.

%description data -l pl.UTF-8
Dane dla %{kaname}.

%prep
%setup -q -n %{kaname}-%{version}

%build
%cmake \
	-B build \
	-G Ninja \
	%{!?with_tests:-DBUILD_TESTING=OFF} \
	-DKDE_INSTALL_DOCBUNDLEDIR=%{_kdedocdir} \
	-DKDE_INSTALL_USE_QT_SYS_PATHS=ON
%ninja_build -C build

%if %{with tests}
ctest --test-dir build
%endif


%install
rm -rf $RPM_BUILD_ROOT
%ninja_install -C build

rm -rf $RPM_BUILD_ROOT%{_kdedocdir}/{el,ko,sr,zh_CN}
%find_lang %{kaname} --all-name --with-kde --with-qm

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%post data
%update_desktop_database_post

%postun data
%update_desktop_database_postun

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/falkon
%{_libdir}/libFalkonPrivate.so.*.*.*
%ghost %{_libdir}/libFalkonPrivate.so.3
%dir %{_libdir}/qt6/plugins/falkon
%attr(755,root,root) %{_libdir}/qt6/plugins/falkon/AutoScroll.so
%attr(755,root,root) %{_libdir}/qt6/plugins/falkon/FlashCookieManager.so
%attr(755,root,root) %{_libdir}/qt6/plugins/falkon/GnomeKeyringPasswords.so
%attr(755,root,root) %{_libdir}/qt6/plugins/falkon/GreaseMonkey.so
%attr(755,root,root) %{_libdir}/qt6/plugins/falkon/KDEFrameworksIntegration.so
%attr(755,root,root) %{_libdir}/qt6/plugins/falkon/MouseGestures.so
%attr(755,root,root) %{_libdir}/qt6/plugins/falkon/PIM.so
%attr(755,root,root) %{_libdir}/qt6/plugins/falkon/StatusBarIcons.so
%attr(755,root,root) %{_libdir}/qt6/plugins/falkon/TabManager.so
%attr(755,root,root) %{_libdir}/qt6/plugins/falkon/VerticalTabs.so

%files data -f %{kaname}.lang
%defattr(644,root,root,755)
%{_desktopdir}/org.kde.falkon.desktop
%{bash_compdir}/falkon
%{_datadir}/falkon
%{_iconsdir}/hicolor/*x*/apps/falkon.png
%{_iconsdir}/hicolor/scalable/apps/falkon.svg
%{_datadir}/metainfo/org.kde.falkon.appdata.xml
%changelog
* Fri May 30 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/ka6-falkon.git;a=log;h=master

* Thu May 08 2025 Witold Filipczyk <witekfl@poczta.onet.pl> a70f1b5
- updated to 25.04.1

* Thu Apr 24 2025 Witold Filipczyk <witekfl@poczta.onet.pl> 410986b
- update_desktop_database

* Thu Apr 17 2025 Witold Filipczyk <witekfl@poczta.onet.pl> 71fad4c
- updated to 25.04.0

* Fri Mar 07 2025 Witold Filipczyk <witekfl@poczta.onet.pl> b497846
- updated to 24.12.3

* Sat Feb 08 2025 Witold Filipczyk <witekfl@poczta.onet.pl> 88f00bb
- updated to 24.12.2

* Fri Jan 10 2025 Witold Filipczyk <witekfl@poczta.onet.pl> dd8c886
- updated to 24.12.1

* Thu Dec 12 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 7d2f767
- updated to 24.12.0

* Thu Nov 07 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 45f6a9f
- updated to 24.08.3

* Sat Oct 19 2024 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 455cb82
- relup, exlcuding i686

* Thu Oct 10 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 27f62e9
- updated to 24.08.2

* Thu Sep 12 2024 Witold Filipczyk <witekfl@poczta.onet.pl> fa59268
- updated to 24.08.1

* Fri Aug 23 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 9a79053
- updated to 24.08.0

* Fri Jul 05 2024 Witold Filipczyk <witekfl@poczta.onet.pl> f0f8569
- updated to 24.05.2

* Fri Jun 14 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 54a75da
- updated to 24.05.1

* Fri May 24 2024 Witold Filipczyk <witekfl@poczta.onet.pl> f579f5e
- updated to 24.05.0

* Sat Apr 13 2024 Witold Filipczyk <witekfl@poczta.onet.pl> ca11d8d
- updated to 24.02.2

* Fri Mar 22 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 3cdc43e
- updated to 24.02.1

* Mon Mar 04 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 2132b66
- updated to 24.02.0

